Debian Bug report logs - #336724
kernel-package creates packages depending on linux-initramfs-tools, should use linux-initramfs-tool

version graph

Package: kernel-package; Maintainer for kernel-package is Manoj Srivastava <srivasta@debian.org>; Source for kernel-package is src:kernel-package.

Reported by: Thomas Luzat <thomas.luzat@gmx.net>

Date: Tue, 1 Nov 2005 06:18:01 UTC

Severity: normal

Tags: experimental, fixed-in-experimental, patch

Found in version kernel-package/10.002

Fixed in version kernel-package/10.011

Done: Manoj Srivastava <srivasta@golden-gryphon.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#336724; Package kernel-package. Full text and rfc822 format available.

Acknowledgement sent to Thomas Luzat <thomas.luzat@gmx.net>:
New Bug report received and forwarded. Copy sent to Manoj Srivastava <srivasta@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Luzat <thomas.luzat@gmx.net>
To: submit@bugs.debian.org
Subject: kernel-package creates packages depending on linux-initramfs-tools, should use linux-initramfs-tool
Date: Tue, 01 Nov 2005 07:02:17 +0100
[Message part 1 (text/plain, inline)]
Package: kernel-package
Version: 10.002
Tags: experimental, patch

Building 2.6.14 with some custom patches on my unstable/experimental
machine results in a package with the following Depends line:

Depends: yaird (>= 0.0.11-8) | linux-initramfs-tools, coreutils |
fileutils (>= 4.0)

I'd like to use initramfs-tools 0.37 from unstable which uses the
following Provides line:

Provides: linux-initramfs-tool

Note the missing trailing s. I'm not sure if kernel-package or
initramfs-tools is wrong here. If kernel-package is wrong I've attached
a patch against it. Otherwise please forward the bug to initramfs-tools.

Thanks!

Thomas Luzat

[linux-initramfs-tool.diff (text/x-patch, attachment)]

Tags added: fixed-in-experimental Request was from Manoj Srivastava <srivasta@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Manoj Srivastava <srivasta@golden-gryphon.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Thomas Luzat <thomas.luzat@gmx.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 336724-done@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@golden-gryphon.com>
To: 335316-done@bugs.debian.org, 336744-done@bugs.debian.org, 336724-done@bugs.debian.org, 336409-done@bugs.debian.org, 247782-done@bugs.debian.org, 115884-done@bugs.debian.org, 336517-done@bugs.debian.org, 336733-done@bugs.debian.org, 336927-done@bugs.debian.org, 338449-done@bugs.debian.org
Subject: These bugs are now fixed in the version in unstable
Date: Fri, 02 Dec 2005 15:18:19 -0600
Package: kernel-package
Version: 10.011


kernel-package (10.011) unstable; urgency=low

  * Bug fix: "DEBIAN/ directory doesn't appear to exist at
    image_clean_hook time", thanks to Don Armstrong. Moved the hooks for
    image and headers later in the process.              (Closes: #339659).
  * Bug fix: "kernel-package: kernel-image-deb mentioned in README.gz but
    removed in 10.x", thanks to Marc Haber. Well. The new name is
    stamp-kernel-image. Changed docs, and added kernel-image-deb
    temporarily as an alias.                             (Closes: #340978).

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  1 Dec 2005 15:30:27 -0600

kernel-package (10.010) experimental; urgency=low

  * Bug fix: "kernel-package: Fails to build ppc64 2.6.14 kernel", thanks
    to Juergen Kreileder. Sven Luther provided the patch (Closes: #338449).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 10 Nov 2005 21:47:09 -0600

kernel-package (10.009) experimental; urgency=low

  * The long obsolete --flavour option is now gone, and --apend-to-version
    should be used. Also, --append-to-version may soon be superceded with
    --abi, stay tuned.
  * Speed up the stripping code in kernel header packages, by only looking
    at the scripts directory (which was the only place with the elf
    binaries). 

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  9 Nov 2005 22:55:55 -0600

kernel-package (10.008) experimental; urgency=low

  * Well, it turns out that only on some architectures do we havea binary
    using a dynamically loaded shared library, so the call to dpkg-shlibs
    was failing on the others. Now, go throug a complex dance in which we 
    either call dpkg-shlibs, or edit the control file using Perl, so that
    both cases can be catered to.

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  8 Nov 2005 08:51:08 -0600

kernel-package (10.007) experimental; urgency=low

  * Aaargh, typo in the kernel header rules.
  * The generated packages should not have native version numbers by
    default, since they are not really debain native packages. The problem
    was that the default version generated did not have a -, so chnaged
    that value. The files affected are kernel-pkg.conf, README, 
    kernel/ruleset/misc/version_vars.mk , kernel-pkg.conf.5,
    kernel/docs/README,  kernel/ruleset/misc/config.mk. 
  * While looking at Lintian errors, I noticed that apparently
    kernel-headers package carries with it an elf binary, and thus should
    depend on the shared libraries -- but did not. Fixed now by a search
    and a call to dpkg-shlibs. Various minor nitpicks in the default
    Control file also fixed.
  * We also added a make snippet to find and strip the binaries we need to
    run  dpkg-shlibs upon, since that is the policy.
  * kernel/ruleset/targets/image.mk: Export the variable IMAGE_TOP before
    calling scripts in $(SRCTOP)/debian/image.d and debian/post-install,
    since that is what they expected. Bad idea changing an exposed
    interface. 
  * kernel/pkg/image/postrm:  Call purge to remove the questions from
    debconf database when the package is purged. 

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  8 Nov 2005 01:03:49 -0600

kernel-package (10.006) experimental; urgency=low

  * Hmm. We need to take special care of the case in which the
    kernel-headers are installed after the kernel-image has been; and the
    build symlink is not setr. In this case, the header postinst now
    correctly installs the build symlink.

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  7 Nov 2005 12:44:21 -0600

kernel-package (10.005) experimental; urgency=low

  * Bug fix: "kernel/image.postinst should mention GRUB", thanks to
    Martin Michlmayr. Well, I don't see why we should mention _any_ boot
    loader at all, so we are no longer biased against grub. (Closes: #336927)
  * Bug fix: "kernel-package: Using dpkg --remove followed by dpkg
    --install does not restore the kernel package", thanks to Daniel
    Jacobowitz. Also: "kernel-package tells me we're being reinstalled AND
    updated". Actually, the installed/updated is just sematics; when you
    reinstall a kernel image you are updating it, and vice versa. The
    actual problem was that while the symbolic links were removed when the
    package was removed, dpkg passed the last-version-configured to the
    postinst, and we took that as evidence that the package had been
    installed before -- which, while true, did not take into account that
    the package was currently uninstalled. The fix is to always see if a
    missing symlink needs to be installed, and not touch existing
    symlinks.                                       (Closes: #336733,  #336517).
  * Added kernel/pkg/headers/create_link as an example. The user can install
    it in the postinst.d directory to set up the /lib/modules/foo/build
    symlink to point to the kernel-headers. This is not needed, since the
    kernel-image postinst already checks in the /usr/src/ directory for an
    installed kernel headers package.
  * Convert the image prerm scripts to debconf as well, the questions are
    asked if we try to remove the running kernel image, or if we are
    removing a kernel version mentioned in boot loader configuration.
  * Have the minimal.mk not overwrite the control or the changelog file. 
  * Added a whole slew of config files, and updated older ones, to bring
    the configurations offered up by default to be more in line with
    official kernels.
  * Fixed substitutions in the kernel image package, there was a duplicate
    =B substitution. 
  * Ran lintian on all the generated packages. Fixed FSF address in all
    the copyright notices, and fixed case in the templates file as
    well. This shall be the last experimental release, barring major
    problems. 

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  7 Nov 2005 10:44:39 -0600

kernel-package (10.004) experimental; urgency=low

  * Bug fix: "using debconf", thanks to Robert Millan      (Closes: #115884)
  * Bug fix: "does not install non-interactively", thanks to Matt Kraai
                                                           (Closes: #247782)
  * This fine tunes the dependencies between targets. All of the package
    building targets are ones that insert themselves into the normal flow
    of policy specified targets, so they must hook themselves into the
    stream. That means, in essence, that they must depend on the configure
    and  corresponding build targets (with stamps) and ensure that the
    prep work is all done before they are invoked. The advantage is that
    nothing is going to be remade more often than it needs to. It also
    means we do not need to produce as many stamp files. So, the only
    dependencies on any of the intermediate targets are targets that have
    not been registered into the ladder created in rulesets/common/targets.mk
  * The kernel image maintainer scripts have been greatly
    changed. Firstly, they now use  debconf; and a number of questions
    have been moved to the config file (create-kimage-link-$version,
    old-initrd-link, old-dir-initrd-link, old-system-map-link) while
    others are asked conditionally in the postinst (depmod-error,
    depmod-error-initrd, bootloader-test-error, bootloader-error). The
    postinst has also become far less verbose; the users are far better
    educated a decade after this was written, and there are other sources
    of information about booting than the postinst of a kernel image.
  * The preinst also uses debconf. All the questions asked are still here
    -- we just use debconf to ask the user. Also, the priority, and need
    to break non-interactive installs was re-evaluated, and the preinst
    breaks in far fewer cases than it did before. 
  * Second, the postinst gets rid of the code that generated boot floppies
    and created lilo.conf (that latter was probably illegal under current
    policy anyway). The do_boot_enable and do_boot_floppy configuration
    variables in /etc/kernel-img.conf are now invalid.
  * Also, the source tree is not automatically cleaned; the do_clean
    configuration variable, and the environment variable CLEAN_SOURCE are
    now control if the source tree is optionally cleaned after the kernel
    image package is built.

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  3 Nov 2005 23:26:29 -0600

kernel-package (10.003) experimental; urgency=low

  * Bug fix: "can not clean up the kernel source tree", thanks to           
    Chun-Chung Chen.                                         (Closes: #336409)
  * Bug fix: "kernel-package creates packages depending on
    linux-initramfs-tools, should use linux-initramfs-tool", thanks to
    Thomas  Luzat.                                           (Closes: #336724)
  * Bug fix: "/usr/share/doc/kernel-package seems to contain broken
    symlinks", thanks to Thomas Luzat                        (Closes: #336744)
  * This is a major reorganization of the rules file that helps
    create kernel related packages. The crusty old mechanism has been
     removed, the targets are now streamlined, and the policy mandated
     dependencies are now called out into a separate file. This should allow
     a future enhancement to allow end users to override the behavior of
     kernel-package in a fine grained fashion. Also, separating out the
     variable setting for each arch into a separate file should facilitate
     the delegation of that file to the person responsible for kernel images
     for that architecture. And, separating out the policy mandated targets
     into fine grained double colon targets allows people to add in any
     additional make targets for a particular architecture, something long
     requested. 
            One of the factors that made the build mechanism so complex was
     that the rules file had a dual purpose: Initially, when ./debian was not
     present or not populated, it was responsible for populating that, and
     then it was responsible for building the kernel packages, incorporating
     any user customizations.
            Unfortunately, since Make reads all the commands at startup, it
     was difficult to incorporate any customizations, but the modularization
     of the rules file makes it possible to have two top level files, a
     minimal make file whose sole responsibility is to populate ./debian (and
     run clean even when ./debian does not exist), and which uses some of the
     same variable setting make snippets that the final top level Make file
     uses when it resides in ./debian. The task of deciding which top level
     makefile to use has now been relegated to /usr/bin/make-kpkg -- which,
     if there ./debian is empty or not present, first calls the minimal
     Makefile to populate it, and _then_ calls the real ./debian/rules file
     to perform the actual task that it was asked. This little intelligence
     in make-kpkg allows the minimal makefile, and ./debian/rules, to be far
     simpler, and allows them to conform to the standards my other Debian
     packages adhere to.
            The goal of this release was to handle the bugs in the previous
     experimental release, but to create a set of packages indistinguishable
     from the ones created before. Pointedly, non-of the minor lacunae in the
     Debian kernel image postinst scripts have been addressed yet. Also, the
     build process is a little more verbose at the moment than it needs to be.

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  2 Nov 2005 14:16:19 -0600

kernel-package (10.002) experimental; urgency=low

  * Bug fix: "kernel-package: Problem with kernel_version.mk causes build
    fauilure", thanks to Horms                               (Closes: #335993).
  * This is a fairly large reorganization of the directory and file layout
    for the package. Instead of a mostly flat directory structure with a
    giant monolithic rules files, we are moving towards a more organized
    structure, with finer granularity of files, which may in the future
    facilitate third party replacement and overriding of parts of the build
    mechanism. Also, this reorganization may make the overall structure
    easier to see (though it may also result in it being harder to get the
    big picture, but I doubt that).

    This time around, I am trying to keep substantive changes to a minimum,
    so files have just been broken up, moved around, but the package should
    still more or less behave the way that it always did (apart from changing
    the stem).
    * kernel/rules (DEBDIR): Test to see if we have
      ./debian/kernel_version.mk, since all kinds of other people create
      ./debian 
   * Makefile (install): Adjust for the reorganization of the files, since
     the source files are no longer in their previous locations. Keep the
     destination mostly the same.
   * kernel/rules: This is the one file that has faced the brunt of the
     changes. Large chunks of it have been moved out into separate chunks
     included in this file. The major addition has been are mechanisms to
     allow the file to be broken up. The parts removed are
      o) dpkg-architecture variable are now moved out to
         ruleset/common/archvars.mk 
      o) The variables set in the file have mostly been moved to
         ruleset/local-vars.mk, which shall be further broken up into
         smaller parts
      o) For example, the per arch variable settings have already been moved
         out of  ruleset/local-vars.mk into ruleset/architecture.mk -- and
         shall be further fragmented into files in ruleset/arches/, so that
         it would be easier to delegate ownership to domain experts.
      o) The action/rules part of the file have been broken out to
         ruleset/local.mk -- and shall be broken out into
         ruleset/common/targets.mk (which contain policy mandated targets,
         and their dependencies, and ruleset/actual_rules.mk, where the
         grunt work shall be done. It may make sense to further divide
         ruleset/actual_rules.mk into separate files for images, headers,
         doc, and manual packages. At a later stage, actually installing
         files into ./debian/tmp-<something> shall be separated out from the
         subsequent packaging into separate targets (probably in the same
         file), to allow finer granularity for debugging.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 28 Oct 2005 09:03:41 -0500

kernel-package (10.001) experimental; urgency=low

  * Bug fix: "doesn't install: Internal Error: Could not find image
    (/boot/vmlinuz-2.4.27-xxs1500)", thanks to Martin Michlmayr. Well,
    calling kimage vmlinux.srec was breaking the postinst. However, kimage
    does not seem to be used anywhere except in determining the next
    value, namely, kimagesrc -- so I just added .srec to  kimagesrc, and
    thus eliminated the need for hacking the postinst. So the fix was
    earlier in the build process, and not deferred to the postinst.
                                                          (Closes: #333220).
  * Acknowledge the changes made for initrd stuff in the NMU
    series. Thanks to Sven Luther for the work. I have made some changes,
    for example, instead of hard-coding the list of initrd tools one
    considers in the installation phase, now one can set that list by
    editing /etc/kernel-pkg.conf -- and this replaces the hard coded
    list. Of course, the admin at the target location can still over-ride
    that list by editing /etc/kernel-img.con (note, not the same as
    /etc/kernel-pkg.conf above); this makes things slightly more
    flexible. Also, the list of commands does not have to be the fully
    qualified path, the postinst and preinst use the PATH variable to find
    the commands.
  * kernel-img.conf.5: Document the fact that the ramdisk variable can now
    be a space separated list of init ram disk creation commands, which
    need to also support the --supported-host-version and
    --supported-target-version options, just like mkinitrd does. This is
    the list tried at installation time.
  * kernel-pkg.conf.5: Document the fact that one can provide the default
    values for the list by setting INITRD_CMD, but this list can be
    overridden by the one in kernel-img.conf.5. However, the defaults are
    set to a subset of "mkinitrd mkinitrd.yaird mkinitramfs", the subset
    being decided based on the version of the kernel being built, so one
    should refrain from setting this manually -- unless one knows what one
    is doing.
  * kernel/image.postrm, kernel/image.prerm: Added new variable for the
    initrd dependency, and also modified the variable ramdisk to be a
    space separated list of commands, not just a single command.
  * kernel/image.postinst, kernel/image.preinst: Added new variable for
    the initrd dependency, and also modified the variable ramdisk to be a
    space separated list of commands, not just a single
    command. (find_inird_tool): Added function to determine the list of
    viable initrd creation tools present on the target system, and use it
    to select which tool to use for creating the ram fs.
  * Bug fix: "'man make-kpkg' typo: 'thatthis'", thanks to A
    Costa                                                    (Closes: #335316).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 25 Oct 2005 04:00:35 -0500


-- 
Administration: An ingenious abstraction in politics, designed to
receive the kicks and cuffs due to the premier or president. --
Ambrose Bierce
Manoj Srivastava     <srivasta@acm.org>    <http://www.golden-gryphon.com/>
1024D/BF24424C print 4966 F272 D093 B493 410B  924B 21BA DABB BF24 424C



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 22:35:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:31:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.